Next: rindex, Previous: memset, Up: Strings [Contents][Index]

### 5.14 `rawmemchr`—find character in memory

Synopsis

    #include <string.h>
    void *rawmemchr(const void *src, int c);

Description
This function searches memory starting at `*src` for the character c. The search only ends with the first occurrence of c; in particular, `NUL` does not terminate the search. No bounds checking is performed, so this function should only be used when it is certain that the character c will be found.

Returns
A pointer to the first occurance of character c.

Portability
`rawmemchr` is a GNU extension.

`rawmemchr` requires no supporting OS subroutines.